CVC4::ExprStream Class Referenceabstract

A pure-virtual stream interface for expressions. More...

`#include <expr_stream.h>`

Inheritance diagram for CVC4::ExprStream:
[legend]

## Public Member Functions

virtual | ~ExprStream ()
| Virtual destructor; this implementation does nothing.
virtual Expr | nextExpr ()=0
| Get the next expression in the stream (advancing the stream pointer as a side effect.)

## Detailed Description

A pure-virtual stream interface for expressions.

Can be used to communicate streams of expressions between different parts of CVC4.

Definition at line 30 of file expr_stream.h.

## Constructor & Destructor Documentation

## ~ExprStream()

virtual CVC4::ExprStream::~ExprStream | ( |  | ) |

inlinevirtual

Virtual destructor; this implementation does nothing.

Reimplemented in CVC4::parser::Parser::ExprStream.

Definition at line 33 of file expr_stream.h.

## Member Function Documentation

## nextExpr()

virtual Expr CVC4::ExprStream::nextExpr | ( |  | ) |

pure virtual

Get the next expression in the stream (advancing the stream pointer as a side effect.)

Implemented in CVC4::parser::Parser::ExprStream.

The documentation for this class was generated from the following file:

- src/expr/expr_stream.h